LanguageCallback (GNU cryptographic primitives and tools)
Keywords: javax.security.auth.callback.LanguageCallback,LanguageCallback class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.callback
Class LanguageCallback

    java.lang.Object
      |
      +--javax.security.auth.callback.LanguageCallback

All Implemented Interfaces:
  Callback, java.io.Serializable

public class LanguageCallback
extends java.lang.Object
implements Callback, java.io.Serializable

Underlying security services instantiate and pass a `LanguageCallback` to the `handle()` method of a `CallbackHandler` to retrieve the `Locale` used for localizing text.

See Also:
  `CallbackHandler`, Serialized Form

Constructor Summary
`LanguageCallback()` Construct a `LanguageCallback`.

Method Summary
`java.util.Locale` | `getLocale()` Get the retrieved Locale.
`void` | `setLocale(java.util.Locale locale)` Set the retrieved Locale.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LanguageCallback

    public LanguageCallback()

  Construct a `LanguageCallback`.

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the retrieved Locale.

  Parameters:
    `locale` - the retrieved Locale.
  See Also:
    `getLocale()`

### getLocale

    public java.util.Locale getLocale()

  Get the retrieved Locale.

  Returns:
    the retrieved Locale, or `null` if no Locale could be retrieved.
  See Also:
    `setLocale(Locale)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.